
import java.awt.*;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import javax.swing.*;
import java.util.LinkedList;
import java.util.Random;

public class sw
{
    public static void main(String[] args)
    {
        JFrame foablak = new JFrame("Rajzolo alkalmazas");
        foablak.setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
        foablak.setSize(500, 500);

        foablak.setLayout(new BorderLayout());

        KozepsoPanel kp = new KozepsoPanel();
        foablak.add(kp, BorderLayout.CENTER);

        foablak.setVisible(true);
    }

}


class KozepsoPanel extends JPanel
{
	SajatPanel s;
	JButton gomb;

	public KozepsoPanel()
	{
		super();

		gomb = new JButton("Nyomogomb");

        setLayout(new BorderLayout());

        s = new SajatPanel();
        add(s, BorderLayout.CENTER);
        add(gomb, BorderLayout.SOUTH);

		gomb.addActionListener(
			new ActionListener() {
				public void actionPerformed(ActionEvent e) {
					System.out.println("gombnyomas");
					}
				}
			);
	}
}


class SajatPanel extends JPanel
{
    LinkedList<Pont> p;
    RajzolhatoTerulet t;

    public SajatPanel()
    {
        super();                  // ososztaly konstruktoranak meghivasa

        Random r = new Random();
        p = new LinkedList<Pont>();
        t = new Teglalap(new Pont(10, 20), new Pont(400, 350));

        for (int i = 0; i < 1000; ++i)
        {
            p.add(new Pont(r.nextInt(500), r.nextInt(500)));
        }
    }

    public void paint(Graphics g)
    {
        Graphics2D g2 = (Graphics2D)g;

        g2.drawOval(100, 100, 50, 50);
        for (Pont pp : p)
        {
			if (t.benne(pp))   g2.setColor(Color.GREEN);
            pp.kirajzol(g2);
			g2.setColor(Color.BLACK);
        }

        t.kirajzol(g2);
    }

}
